// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) TempBlocks() TempBlocks { return TempBlocks(t) }

type TempBlocks struct{ alias string }

func (t TempBlocks) TableAlias() string { return t.alias }
func (t TempBlocks) name() string       { return "TempBlocks" }
func (t TempBlocks) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t TempBlocks) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Id(),
		c.UserId(),
		c.CreatedAt(),
		c.DeletedAt(),
		c.BlockedUserId(),
	}
}

func (t TempBlocks) Columns() TempBlocksCols { return TempBlocksCols{tableAlias: t.alias} }

type TempBlocksCols struct{ tableAlias string }

func (c TempBlocksCols) Id() string            { return colName(c.tableAlias, "Id") }            // STRING(36)
func (c TempBlocksCols) UserId() string        { return colName(c.tableAlias, "UserId") }        // STRING(36)
func (c TempBlocksCols) CreatedAt() string     { return colName(c.tableAlias, "CreatedAt") }     // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempBlocksCols) DeletedAt() string     { return colName(c.tableAlias, "DeletedAt") }     // TIMESTAMP NULL OPTIONS (allow_commit_timestamp = true)
func (c TempBlocksCols) BlockedUserId() string { return colName(c.tableAlias, "BlockedUserId") } // STRING(36)
